<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
   extract($_POST);
	 $totalin = 0;
  $totalin2 = 0;

           $lafecha=$_POST['fecha'];        
     $qp = "select  month('$lafecha')+1, year('$lafecha')";
$cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
                 while($rDG = mysql_fetch_row($cp)) 
                     {
                $elmes = $rDG[0];
                $elano = $rDG[1];

               };
                   
         if($elmes==13){$elmes=1; $elano=$elano+1;}



   
	
	$qPP = "SELECT idtransacciones, fechat, centros_idcd, status FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE fechat between '$elano-$elmes-01' and '$elano-$elmes-31' and tipostr_idtipostr=5 and usuarios_ci_idusuarios_ci=$id_cd";
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
	<br>
			<center><font size=\"+2\" color=\"#594106\"><b>Pedidos de Stock (Entradas)</b></font>
	<br><br><table border=\"1\" align=\"center\"><tr><th>Id Pedido</th><th>Entregado por CD:</th><th>Fecha</th><th>Status</th></tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{

	echo "<tr bgcolor=\"#ece3bb\"><form name=\"pagar\" action=\"verpedstock.php\" target=\"_blank\" method=\"post\">
			 <td>$objetoPP->idtransacciones</td><td align=\"center\">$objetoPP->centros_idcd</td><td> $objetoPP->fechat</td><td> $objetoPP->status</td>";
             
			
       
	echo"<td><input type=\"submit\" value=\"INFO\" name=\"pago\"></td>
		  </tr> <input type=hidden name=trans value=$objetoPP->idtransacciones></form>";

		    
}
	
   
   
   echo"</table><br><br>";
   
   
   
   
} else {echo"<center><br><br>No se han registrados entradas de Stock en el periodo<br><br>";}
	$qPP = "SELECT idtransacciones, fechat, usuarios_ci_idusuarios_ci, status FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE fechat between '$elano-$elmes-01' and '$elano-$elmes-31' and tipostr_idtipostr=5 and centros_idcd=$id_cd";
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
				<center><font size=\"+2\" color=\"#594106\"><b>Pedidos de Stock (Salidas)</b></font>
	<br><br><table border=\"1\" align=\"center\"><tr><th>Id Pedido</th><th>Entregado al CD:</th><th>Fecha</th><th>Status</th></tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{

	echo "<tr bgcolor=\"#ece3bb\"><form name=\"pagar\" action=\"verpedstock.php\" target=\"_blank\" method=\"post\">
			 <td>$objetoPP->idtransacciones</td><td align=\"center\">$objetoPP->usuarios_ci_idusuarios_ci</td><td> $objetoPP->fechat</td><td> $objetoPP->status</td>";
             
			
       
	echo"<td><input type=\"submit\" value=\"INFO\" name=\"pago\"></td>
		  </tr> <input type=hidden name=trans value=$objetoPP->idtransacciones></form>";

		    
}
	
   
   
   echo"</table><br><br>";
   
   
   
   
} else {echo"<center><br><br>No se han registrados salidas de Stock en el periodo<br>";}

	$qPP = "select id_prod, nombreProd, sum(cant) as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where `usuarios_ci_idusuarios_ci`=$id_cd and `tipostr_idtipostr`=5 and status='ENTREGADO' and fechat between '$elano-$elmes-01' and '$elano-$elmes-31' group by id_prod";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de entradas por pedidos de stock</b></font>
	<br><br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td> $objetoPP->eltot</td>";
             
			
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br><br>";
   
   
   
   
}
$qPP = "select id_prod, nombreProd, sum(cant) as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where centros_idcd=$id_cd and `tipostr_idtipostr`=5 and (status='ENTREGADO' or status='AUTORIZADO') and fechat between '$elano-$elmes-01' and '$elano-$elmes-31' group by id_prod";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de salidas por pedidos de stock</b></font>
	<br><br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td> $objetoPP->eltot</td>";
             
			
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br><br>";
   
   
   
   
}

?>